"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = createTapeTest;
function createTapeTest(_ref) {
  var state = _ref.state;
  var actions = _ref.actions;
  var imports = _ref.imports;
  var reducer = _ref.reducer;
  var equalityFunction = _ref.equalityFunction;

  return "var test = require('tape');\n" + imports + "\n" + reducer + "\nvar equality = " + equalityFunction + ";\n\ntest('expected state returned for each action', function(assert) {\n  var state = " + state + ";\n  var actions = " + JSON.stringify(actions, null, 2) + ";\n  actions.forEach(function(action, index) {\n    var result = reducer(state, action.action);\n    state = result;\n    assert.ok(equality(result, action.nextState), action.action.type + '(action index ' + index +') correctly updated state');\n  });\n  assert.end();\n});";
}